from sqlalchemy import Column, Integer, Text, BigInteger, String, SmallInteger, Boolean, TIMESTAMP
from sqlalchemy.ext.declarative import declarative_base

Base = declarative_base()


class AgentTask(Base):
    __tablename__ = "agent_task"

    id = Column(BigInteger, primary_key=True, autoincrement=True, comment="主键id")
    agent_id = Column(BigInteger, nullable=False, comment="agent主键")
    status = Column(Integer, nullable=False, default=0, comment="状态（0:未开始, 1:进行中, 2:已完成, 3:失败）")
    start_time = Column(TIMESTAMP, nullable=True, comment="任务开始执行时间")
    end_time = Column(TIMESTAMP, nullable=True, comment="任务结束执行时间")
    create_user = Column(String(32), nullable=True, comment="创建用户")
    input = Column(Text, nullable=True, comment="任务执行输入")
    tools = Column(Text, nullable=True, comment="任务使用的工具")
    output = Column(Text, nullable=True, comment="任务执行输出")
    error_message = Column(Text, nullable=True, comment="错误详情（失败时记录）")
    create_time = Column(TIMESTAMP, nullable=False, server_default="CURRENT_TIMESTAMP", comment="创建时间")
    update_time = Column(TIMESTAMP, nullable=False, server_default="CURRENT_TIMESTAMP", onupdate="CURRENT_TIMESTAMP",
                         comment="更新时间")
