from sqlalchemy import Column, Integer, Text, BigInteger, String, SmallInteger, Boolean, TIMESTAMP
from sqlalchemy.ext.declarative import declarative_base

Base = declarative_base()


class AgentTestTaskConversations(Base):
    __tablename__ = "agent_test_task_conversations"

    id = Column(BigInteger, primary_key=True, autoincrement=True, comment="主键id")
    task_id = Column(BigInteger, nullable=False, comment="任务主键")
    agent_id = Column(BigInteger, nullable=False, comment="agent主键")
    dataset_id = Column(BigInteger, nullable=False, comment="数据集主键")
    conversation_id = Column(BigInteger, nullable=False, comment="对话主键")
    input = Column(Text, nullable=False, comment="输入内容")
    output = Column(Text, nullable=False, comment="输出内容")
    score = Column(Text, nullable=False, comment="得分")
    status = Column(Integer, default=0, nullable=False,
                    comment="状态（0:待执行, 1:执行中, 2:执行成功, 3:执行失败, 4:已取消, 5:消息失败, 6:打分失败）")
    create_time = Column(TIMESTAMP, nullable=False, server_default="CURRENT_TIMESTAMP", comment="创建时间")
    update_time = Column(TIMESTAMP, nullable=False, server_default="CURRENT_TIMESTAMP", onupdate="CURRENT_TIMESTAMP",
                         comment="更新时间")
