from sqlalchemy import Column, Integer, Text, BigInteger, String, SmallInteger, Boolean, TIMESTAMP
from sqlalchemy.ext.declarative import declarative_base

Base = declarative_base()


class Datasets(Base):
    __tablename__ = "datasets"

    id = Column(BigInteger, primary_key=True, autoincrement=True, comment="主键id")
    name = Column(String(64), nullable=True, comment="数据集名称")
    type = Column(Integer, default=0, nullable=False, comment="数据集类型 0-内部 1-外部")
    description = Column(String(256), nullable=True, comment="数据集描述")
    is_delete = Column(Integer, nullable=False, default=False, comment="是否删除 1-删除 0-未删除")
    create_time = Column(TIMESTAMP, nullable=False, server_default="CURRENT_TIMESTAMP", comment="创建时间")
    update_time = Column(TIMESTAMP, nullable=False, server_default="CURRENT_TIMESTAMP", onupdate="CURRENT_TIMESTAMP",
                         comment="更新时间")

