from sqlalchemy import Column, Integer, Text, BigInteger, String, SmallInteger, Boolean, TIMESTAMP, Float
from sqlalchemy.ext.declarative import declarative_base

Base = declarative_base()


class InternalConversationData(Base):
    __tablename__ = "internal_conversation_data"

    id = Column(BigInteger, primary_key=True, autoincrement=True, comment="主键")
    dataset_id = Column(BigInteger, nullable=False, comment="数据集id")
    staff_id = Column(String(64), nullable=True, comment="员工画像id")
    user_id = Column(String(64), nullable=True, comment="用户画像id")
    version_date = Column(String(16), nullable=True, comment="日期版本")
    conversation = Column(Text, nullable=True, comment="输入内容")
    content = Column(Text, nullable=True, comment="回复消息内容")
    send_time = Column(BigInteger, nullable=False, comment="回复时间戳")
    send_type = Column(Integer, nullable=False, comment="回复类型 0: reply 1: push")
    user_active_rate = Column(Float, nullable=False, comment="用户活跃度")
    is_delete = Column(Integer, nullable=False, default=False, comment="是否删除 1-删除 0-未删除")
    create_time = Column(TIMESTAMP, nullable=False, server_default="CURRENT_TIMESTAMP", comment="创建时间")
    update_time = Column(TIMESTAMP, nullable=False, server_default="CURRENT_TIMESTAMP", onupdate="CURRENT_TIMESTAMP",
                         comment="更新时间")
