from enum import Enum


class TestTaskStatus(Enum):
    NOT_STARTED = 0
    IN_PROGRESS = 1
    COMPLETED = 2
    CANCELLED = 3
    FAILED = 4
    CREATING = 5
    CREATED_FAIL = 6

    @property
    def description(self):
        descriptions = {
            self.NOT_STARTED: "未开始",
            self.IN_PROGRESS: "进行中",
            self.COMPLETED: "已完成",
            self.CANCELLED: "已取消",
            self.FAILED: "已失败",
            self.CREATING: "生成任务中",
            self.CREATED_FAIL: "生成任务失败"
        }
        return descriptions.get(self)


# 使用示例
def get_test_task_status_desc(status_code):
    try:
        status = TestTaskStatus(status_code)
        return status.description
    except ValueError:
        return f"未知状态: {status_code}"


class TestTaskConversationsStatus(Enum):
    """任务状态枚举类"""
    PENDING = 0  # 待执行
    RUNNING = 1  # 执行中
    SUCCESS = 2  # 执行成功
    FAILED = 3  # 执行失败
    CANCELLED = 4  # 已取消
    MESSAGE_FAILED = 5  # 消息失败
    SCORE_FAILED = 6  # 打分失败

    @property
    def description(self):
        descriptions = {
            self.PENDING: "待执行",
            self.RUNNING: "执行中",
            self.SUCCESS: "执行成功",
            self.FAILED: "执行失败",
            self.CANCELLED: "已取消",
            self.MESSAGE_FAILED: "消息失败",
            self.SCORE_FAILED: "打分失败"
        }
        return descriptions.get(self)


# 使用示例
def get_test_task_conversations_status_desc(status_code):
    try:
        status = TestTaskConversationsStatus(status_code)
        return status.description
    except ValueError:
        return f"未知状态: {status_code}"


class AgentTaskStatus(Enum):
    NOT_STARTED = 0
    IN_PROGRESS = 1
    COMPLETED = 2
    FAILED = 3

    @property
    def description(self):
        descriptions = {
            self.NOT_STARTED: "未开始",
            self.IN_PROGRESS: "进行中",
            self.COMPLETED: "已完成",
            self.FAILED: "已失败"
        }
        return descriptions.get(self)


# 使用示例
def get_agent_task_status_desc(status_code):
    try:
        status = AgentTaskStatus(status_code)
        return status.description
    except ValueError:
        return f"未知状态: {status_code}"

class AgentTaskDetailStatus(Enum):
    IN_PROGRESS = 0
    SUCCESS = 1
    FAILED = 2

    @property
    def description(self):
        descriptions = {
            self.IN_PROGRESS: "执行中",
            self.SUCCESS: "成功",
            self.FAILED: "失败"
        }
        return descriptions.get(self)


# 使用示例
def get_agent_task_detail_status_desc(status_code):
    try:
        status = AgentTaskDetailStatus(status_code)
        return status.description
    except ValueError:
        return f"未知状态: {status_code}"