from enum import Enum


class DatasetType(Enum):
    INTERNAL = 0
    EXTERNAL = 1

    @property
    def description(self):
        descriptions = {
            self.INTERNAL: "内部",
            self.EXTERNAL: "外部"
        }
        return descriptions.get(self)


# 使用示例
def get_dataset_type_desc(type_code):
    try:
        type = DatasetType(type_code)
        return type.description
    except ValueError:
        return f"未知类型: {type_code}"


class EvaluateType(Enum):
    REPLAY = 0
    PUSH = 1

    @property
    def description(self):
        descriptions = {
            self.REPLAY: "回复",
            self.PUSH: "唤起"
        }
        return descriptions.get(self)


# 使用示例
def get_evaluate_type_desc(type_code):
    try:
        type = EvaluateType(type_code)
        return type.description
    except ValueError:
        return f"未知类型: {type_code}"

